/**************************************************************************
* iptrk - ip tracker
* by Jason Nunn <jsno@arafura.net.au>, Darwin, NT, Australia. Sep 2001
* For Arafura Connect
*
* Arafura Connect
* 71 McMinn St
* Darwin NT 0810
* Australia
*
* http://www.arafuraconnect.com.au
* http://jsno.arafuraconnect.com.au
*
* iptrk is a commercial product. usage is unauthorised without written
* aggreement.
*
* =======================================================================
* list reports generator (for all watch databases in a period-- it 
* constructs one big bar-hoon-a db then prints report)
*
**************************************************************************/
#include "defs.h"
#include "lib_cgi.p"

#define IPTRKQ_M_CGI_PATH  "/cgi-bin/iptrkq_cgi.pl"

/**************************************************************************
*
**************************************************************************/
int main(void)
{
  int  i;
  char str[STR_LEN + 1], *qstring;

  qstring = getenv("QUERY_STRING");
  if(qstring == NULL)
  {
    printf(
      "<html><p>E %s()::getenv(QUERY_STRING)<hr></html>", __func__);
    exit(-1);
  }

  sprintf(str, "%s%s", IPTRK_PATH, qstring);
  get_dir_entries(str);

  printf(
    "Content-type: text/html\n\n"
    "<html>"
    "<title>Generate Reports</title>"
    "<body TEXT=\"#ffffff\" BGCOLOR=\"#000000\" LINK=\"#8888FF\" VLINK=\"#FF0000\">"
    "<font color=\"#d0d0f0\">"
    "<center><img src=\"/iptrk.png\"><p>"
    "<font color=\"#80f0a0\">"
    "Generate Reports"
    "<hr>"
    "<font color=\"#ffffff\">"
    "<p>"
    "<form action=\"" IPTRKQ_M_CGI_PATH "\" method=\"GET\">"
    "<table>"
    "<tr>"
    "<td align=right>log:</td>"
    "<td><select name=\"log\">");

  for(i = 0; i < dir_len; i++)
    printf("<option value=\"%s/%s\">%s",
      str, dir_tab[i].name, dir_tab[i].name);

  printf(
    "</select></td>"

    "</tr>"
    "<tr>"
    "<td align=right>Start Address:</td>"
    "<td><input type=\"text\" name=\"saddr\" value=\"0.0.0.0\" size=16></td>"
    "</tr>"

    "<tr>"
    "<td align=right>End Address:</td>"
    "<td><input type=\"text\" name=\"eaddr\" value=\"255.255.255.255\" size=16></td>"
    "</tr>"

    "<tr>"
    "<td align=right>Range Test:</td>"
    "<td><select name=\"test\">"
    "<option value=\"-S\">Source"
    "<option value=\"-D\">Destination"
    "</select> (Only applicable to Dumps)</td>"
    "</tr>"

    "<tr>"
    "<td align=right>Report Type:</td>"
    "<td><select name=\"type\">"
    "<option value=0>Dump"
    "<option value=1>Associative"
    "<option value=2>Charge"
    "</select></td>"
    "</tr>"

    "<tr>"
    "<td align=right></td>"
    "<td><input type=\"submit\" value=\"Generate\"></td>"
    "</tr>"

    "</table>"
    "</font>"
    "<p>"
    "<hr>"
    "</center>"
    "</body>"
    "</html>");

  return 0;
}
