/**************************************************************************
* /dev/iptrk device for Linux 2.4 kernel
* by Jason Nunn <jsno@arafura.net.au>, Darwin, NT, Australia. Dec 2000
* For Arafura Connect
*
* Arafura Connect
* 71 McMinn St
* Darwin NT 0810
* Australia
*
* http://www.arafuraconnect.com.au
* http://jsno.arafuraconnect.com.au
*
* iptrk is a commercial product. usage is unauthorised without written
* aggreement.
*
* =================================================================
* common defs
*
**************************************************************************/
#include "../version.h"

#define IPTRK_IF_SIZE 8

typedef struct
{
  char  dev[IPTRK_IF_SIZE + 1];
  __u32 ip_s;
  __u32 ip_d;
  __u16 tot_len;
  __u8  protocol;
  __u16 port_s;  /*only applic. to tcp and udp protocols*/
  __u16 port_d;  /*...*/
} iptrk_queue_t;
